bmatzner/require-bundle

RequireJS Bundle for Symfony2

Installs: 3 733

Dependents: 0

Stars: 1

Watchers: 1

Language: JavaScript

2.1.11 2014-03-20 10:43 UTC

README

Current Version

RequireJS 2.1.11

Plugins:

  • cs: 0.4.3
  • domReady: 2.0.1
  • i18n: 2.0.4
  • text: 2.0.10

Installation

Add bundle to your composer.json file

// composer.json

{
    "require": {
        // ...
        "bmatzner/require-bundle": "*"
    }
}

Add bundle to your application kernel

// app/AppKernel.php

public function registerBundles()
{
    $bundles = array(
        // ...
        new Bmatzner\RequireBundle\BmatznerRequireBundle(),
        // ...
    );
}

Download the bundle using Composer

$ php composer.phar update bmatzner/require-bundle

Install assets

Given your server's public directory is named "web", install the public vendor resources

$ php app/console assets:install web

Optionally, use the --symlink attribute to create links rather than copies of the resources

$ php app/console assets:install --symlink web

Usage

Refer to the desired files in your HTML template, e.g.

<script type="text/javascript" src="{{ asset('bundles/bmatznerrequire/js/require.min.js') }}" data-main="{{ asset('js/myapp.js') }}"></script>

Licenses

Refer to the source code of the included files for license information

References

  1. http://requirejs.org
  2. http://symfony.com